%define upstream_name    Dist-Zilla-Plugin-Bugtracker
%define upstream_version 1.102670

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Automatically sets the bugtracker URL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(English)
BuildRequires: perl(MooseX::Types::URI)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::MockObject)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::More) >= 0.940.0

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This plugin sets the distribution's bugtracker URL as metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 1.102.670-2mdv2011.0
+ Revision: 657409
- rebuild for updated spec-helper

* Sun Mar 06 2011 Sandro Cazzaniga <kharec@mandriva.org> 1.102.670-1
+ Revision: 642275
- new version
- add a BR on MooseX::Types::URI
- add a BR on Test::Differences
- add a BR on Test::MockObject

* Fri Jul 16 2010 Jérôme Quelin <jquelin@mandriva.org> 1.101.490-1mdv2011.0
+ Revision: 553986
- adding minimum version in buildrequires:
- update to 1.101490

* Sat Mar 27 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.701-2mdv2010.1
+ Revision: 528107
- rebuild
- import perl-Dist-Zilla-Plugin-Bugtracker


* Sat Mar 27 2010 cpan2dist 1.100701-1mdv
- initial mdv release, generated with cpan2dist
